﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Text.Json;
using System.Threading.Tasks;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Client.Services
{
    public class ApiService
    {
        HttpClient http;

        public ApiService(HttpClient _http)
        {
            http = _http;
        }

        public async Task<List<Person>> GetAll()
        {
            try
            {
                var result = await http.GetAsync("persons");
                result.EnsureSuccessStatusCode();
                string responseBody = await result.Content.ReadAsStringAsync();
                return JsonSerializer.Deserialize<List<Person>>(responseBody);
            }
            catch (Exception ex)
            {
                var msg = ex.Message;
                return null;
            }
        }

        public async Task<Person> GetPersonById(int Id)
        {
            try
            {
                var result = await http.GetAsync($"persons/{Id}/getbyid");
                result.EnsureSuccessStatusCode();
                string responseBody = await result.Content.ReadAsStringAsync();
                return JsonSerializer.Deserialize<Person>(responseBody);
            }
            catch (Exception ex)
            {
                return null;
            }
        }
    }
}
