using BlazorGrpcGenerated.Shared.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

public class GrpcPeopleClient
{
    Grpc_People.Grpc_PeopleClient grpc_PeopleClient;
    public GrpcPeopleClient(Grpc_People.Grpc_PeopleClient _grpc_PeopleClient)
    {
        grpc_PeopleClient = _grpc_PeopleClient;
    }

    public async Task<PeopleReply> GetAllAsync(GetAllPeopleRequest request)
    {
        var getAllPeopleRequest = GetAllPeopleRequestConverter.FromGetAllPeopleRequest(request);
        var result = await grpc_PeopleClient.GetAllAsync(getAllPeopleRequest);
        return PeopleReplyConverter.FromGrpc_PeopleReply(result);
    }

    public async Task<Person> GetPersonByIdAsync(GetPersonByIdRequest request)
    {
        var getPersonByIdRequest = GetPersonByIdRequestConverter.FromGetPersonByIdRequest(request);
        var result = await grpc_PeopleClient.GetPersonByIdAsync(getPersonByIdRequest);
        return PersonConverter.FromGrpc_Person(result);
    }

}
