using Grpc.Core;
using Google.Protobuf.WellKnownTypes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Server.Data
{
    public class Grpc_PeopleService : Grpc_People.Grpc_PeopleBase
    {
        PeopleService peopleService;

        public Grpc_PeopleService(PeopleService _peopleService)
        {
            peopleService = _peopleService;
        }

        public override async Task<Grpc_PeopleReply> GetAll(Grpc_GetAllPeopleRequest request, ServerCallContext context)
        {
            var baseRequest = GetAllPeopleRequestConverter.FromGrpc_GetAllPeopleRequest(request);
            var baseResponse = await peopleService.GetAll(baseRequest);
            var response = PeopleReplyConverter.FromPeopleReply(baseResponse);
            return response;
        }

        public override async Task<Grpc_Person> GetPersonById(Grpc_GetPersonByIdRequest request, ServerCallContext context)
        {
            var baseRequest = GetPersonByIdRequestConverter.FromGrpc_GetPersonByIdRequest(request);
            var baseResponse = await peopleService.GetPersonById(baseRequest);
            var response = PersonConverter.FromPerson(baseResponse);
            return response;
        }

    }
}
