﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Server.Data
{ 
    [GrpcWizardLibrary.GrpcService]
    public class PeopleService : IPeopleService
    {
        PersonsManager personsManager;

        public PeopleService(PersonsManager _personsManager)
        {
            personsManager = _personsManager;
        }

        public Task<PeopleReply> GetAll(GetAllPeopleRequest request)
        {
            var reply = new PeopleReply();
            reply.People.AddRange(personsManager.People);
            return Task.FromResult(reply);
        }

        public Task<Person> GetPersonById(GetPersonByIdRequest request)
        {
            var result = (from x in personsManager.People
                          where x.Id == request.Id
                          select x).FirstOrDefault();
            return Task.FromResult(result);
        }
    }
}
