using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Google.Protobuf;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Shared.Models
{
    public static class PeopleReplyConverter
    {
        public static List<Grpc_PeopleReply> FromPeopleReplyList(List<PeopleReply> list)
        {
            var result = new List<Grpc_PeopleReply>();
            foreach (var item in list)
            {
                result.Add(FromPeopleReply(item));
            }
            return result;
        }

        public static List<PeopleReply> FromGrpc_PeopleReplyList(List<Grpc_PeopleReply> list)
        {
            var result = new List<PeopleReply>();
            foreach (var item in list)
            {
                result.Add(FromGrpc_PeopleReply(item));
            }
            return result;
        }

        public static Grpc_PeopleReply FromPeopleReply(PeopleReply item)
        {
            var result = new Grpc_PeopleReply();
            var people = PersonConverter.FromPersonList(item.People.ToList());
            result.People.AddRange(people);
            return result;
        }


        public static PeopleReply FromGrpc_PeopleReply(Grpc_PeopleReply item)
        {
            var result = new PeopleReply();
            var people = PersonConverter.FromGrpc_PersonList(item.People.ToList());
            result.People.AddRange(people);
            return result;
        }

    }
}
