using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Google.Protobuf;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Shared.Models
{
    public static class PersonConverter
    {
        public static List<Grpc_Person> FromPersonList(List<Person> list)
        {
            var result = new List<Grpc_Person>();
            foreach (var item in list)
            {
                result.Add(FromPerson(item));
            }
            return result;
        }

        public static List<Person> FromGrpc_PersonList(List<Grpc_Person> list)
        {
            var result = new List<Person>();
            foreach (var item in list)
            {
                result.Add(FromGrpc_Person(item));
            }
            return result;
        }

        public static Grpc_Person FromPerson(Person item)
        {
            var result = new Grpc_Person();
            result.Id = item.Id;
            result.FirstName = item.FirstName;
            result.LastName = item.LastName;
            result.Bio = item.Bio;
            result.PhotoUrl = item.PhotoUrl;
            return result;
        }


        public static Person FromGrpc_Person(Grpc_Person item)
        {
            var result = new Person();
            result.Id = item.Id;
            if (item.FirstName != null)
                result.FirstName = item.FirstName;
            if (item.LastName != null)
                result.LastName = item.LastName;
            if (item.Bio != null)
                result.Bio = item.Bio;
            if (item.PhotoUrl != null)
                result.PhotoUrl = item.PhotoUrl;
            return result;
        }

    }
}
